{% extends 'base.html.twig' %}

{% block title%}Категории{% endblock %}
{% block body %}
    <div class="row">
        <h2 class="col text-center text-md-left">Категории</h2>
    </div>
    <div class="row py-2">
        <div class="col text-center text-md-right">
            <a class="btn btn-sm btn-secondary" href="{{ path('category_add') }}">Добавить</a>
        </div>
    </div>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col" style="width: 100%;">Название роли</th>
                <th scope="col">Действия</th>
            </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <th scope="row">{{ category.id }}</th>
                    <td>{{ category.name }}</td>
                    <td>
                        <div class="btn-group btn-group-sm" role="group" aria-label="Action">
                            <a href="{{ path("category_edit", {'id': category.id}) }}" role="link"
                               class="btn btn-secondary">
                                Изменить
                            </a>
                            <a href="#" role="button" class="btn btn-secondary"
                               data-href="{{ path("category_delete", {'id': category.id}) }}"
                               data-toggle="modal" data-target="#confirm-delete">
                                Удалить
                            </a>
                        </div>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    {# START confirmDialog #}
    <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Потвердить удаление</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Вы уверены, что хотите продолжить удаление?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Отменить</button>
                    <a class="btn btn-danger btn-ok">Удалить</a>
                </div>
            </div>
        </div>
    </div>
    {# END confirmDialog #}

{% endblock %}

{% block javascripts %}
    <script>
        $('#confirm-delete').on('show.bs.modal', function (e) {
            $(this).find('.btn-ok').attr('href', $(e.relatedTarget).data('href'));
        });
    </script>
{% endblock %}